import { z } from "zod";

export const schema = z.object({
    _id: z.string(),
    uuid: z.string(),
    buildNumber: z.string().optional(),
    doorNumber: z.string().optional(),
    floorNumber: z.string().optional(),
    commentAddress: z.string().optional(),
    letterAddress: z.string().optional(),
    shortLetterAddress: z.string().optional(),
    latitude: z.number().optional(),
    longitude: z.number().optional(),
    street: z.string().optional(),
    expiryStarts: z.string().optional(),
    expiryEnds: z.string().optional(),
});


export type schemaType = z.infer<typeof schema>;